Bug 280711 - Header rows painted wrong when table crosses page boundary
Summary: Header rows painted wrong when table crosses page boundary
Status: RESOLVED FIXED
Alias: None
Product: calligrawords
Classification: Applications
Component: tables (show other bugs)
Version: Git
Platform: Unlisted Binaries Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Calligra Words Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-24 13:54 UTC by Sander Huijsen
Modified: 2011-08-25 12:49 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
An ODT document containing some tables (8.77 KB, application/vnd.oasis.opendocument.text)
2011-08-24 13:54 UTC, Sander Huijsen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sander Huijsen 2011-08-24 13:54:38 UTC
Created attachment 63106 [details]
An ODT document containing some tables

Version:           svn
OS:                Linux

When a table crosses a page boundary, the header rows aren't shown correctly. There are two situations: 
1 - when the first data row crosses the page boundary, the header on the next page isn't shown correctly
2 - when the header crosses the page boundary, it shouldn't be shown at all (but it is).

Reproducible: Didn't try

Steps to Reproduce:
Load the attached document and press enter and delete to have the table cross the page boundary at your will. 

Actual Results:  
X

Expected Results:  
X

X
Comment 1 Halla Rempt 2011-08-24 14:00:28 UTC
Hm... We actually saved a broken document there...
Comment 2 Camilla Boemann 2011-08-25 09:11:53 UTC
Can you please update to newest master (few seconds ago) and save a new test document
Comment 3 Camilla Boemann 2011-08-25 12:49:06 UTC
Git commit b44899e8d36b54387088c475c69645b17efafe68 by Casper Boemann.
Committed on 25/08/2011 at 14:47.
Pushed by boemann into branch 'master'.

Followup from previous commit within the hitTest and selectionBoundingBox methods

BUG:280711

M  +8    -8    libs/textlayout/KoTextLayoutTableArea.cpp

http://commits.kde.org/calligra/b44899e8d36b54387088c475c69645b17efafe68
Comment 4 Camilla Boemann 2011-08-25 12:49:06 UTC
Git commit 46f2b7ebf7c107c1c3afea93eb73d68063000152 by Casper Boemann.
Committed on 25/08/2011 at 12:22.
Pushed by boemann into branch 'master'.

Make sure we don't show a table that can only show it's header rows

CCBUG:280711

M  +16   -0    libs/textlayout/KoTextLayoutTableArea.cpp

http://commits.kde.org/calligra/46f2b7ebf7c107c1c3afea93eb73d68063000152